<template>
	<view class="">
		<logistics  :wlInfo="wlInfo"></logistics>
	</view>
</template>

<script>
	import api from "@/api/order/index.js"
	import logistics from '@/pagesD/components/xinyu-logistics/xinyu-logistics.vue'
	export default {
		data() {
			return {
				primary:this.$theme.primary,
				wlInfo:{},
				settingFile:getApp().globalData.siteinfo
			};
		},
		components:{
			logistics
		},
		methods:{
			kuaididetails(orderid,sid){
				api.kuaididetails({orderid,sid}).then(res=>{
					let reverseArr=res.data.data.Traces.reverse()
					res.data.data.Traces=reverseArr
					this.wlInfo=res.data
					console.log(res,"res")
				})
			}
		},
		onLoad(Option) {
			this.kuaididetails(Option.id,Option.sid)
		}
	}
</script>

<style lang="scss">
	page{
		width: 100%;
		height: 100%;
	}
	.logistics{
		width: 100%;
	}
</style>
